import React, { useCallback, useState } from 'react';
import { useSlate } from 'slate-react';
import isElementActive from './isActive';
import toggleElement from './toggle';
import Tooltip from '../../../../elements/Tooltip';
import '../buttons.scss';
export const baseClass = 'rich-text__button';
const ElementButton = (props) => {
    const { format, children, onClick, className, tooltip, el = 'button', } = props;
    const editor = useSlate();
    const [showTooltip, setShowTooltip] = useState(false);
    const defaultOnClick = useCallback((event) => {
        event.preventDefault();
        setShowTooltip(false);
        toggleElement(editor, format);
    }, [editor, format]);
    const Tag = el;
    return (React.createElement(Tag, { ...el === 'button' && { type: 'button' }, className: [
            baseClass,
            className,
            isElementActive(editor, format) && `${baseClass}__button--active`,
        ].filter(Boolean).join(' '), onClick: onClick || defaultOnClick, onMouseEnter: () => setShowTooltip(true), onMouseLeave: () => setShowTooltip(false) },
        tooltip && (React.createElement(Tooltip, { show: showTooltip }, tooltip)),
        children));
};
export default ElementButton;
