import React from 'react';
import { useTranslation } from 'react-i18next';
import { Drawer } from '../../../../../../elements/Drawer';
import Button from '../../../../../../elements/Button';
import X from '../../../../../../icons/X';
import Form from '../../../../../Form';
import FormSubmit from '../../../../../Submit';
import fieldTypes from '../../../..';
import RenderFields from '../../../../../RenderFields';
import './index.scss';
import { Gutter } from '../../../../../../elements/Gutter';
const baseClass = 'rich-text-link-edit-modal';
export const LinkDrawer = ({ handleClose, handleModalSubmit, initialState, fieldSchema, drawerSlug, }) => {
    const { t } = useTranslation('fields');
    return (React.createElement(Drawer, { slug: drawerSlug, formatSlug: false, className: baseClass },
        React.createElement(Gutter, { className: `${baseClass}__template` },
            React.createElement("header", { className: `${baseClass}__header` },
                React.createElement("h2", { className: `${baseClass}__header-text` }, t('editLink')),
                React.createElement(Button, { className: `${baseClass}__header-close`, buttonStyle: "none", onClick: handleClose },
                    React.createElement(X, null))),
            React.createElement(Form, { onSubmit: handleModalSubmit, initialState: initialState },
                React.createElement(RenderFields, { fieldTypes: fieldTypes, readOnly: false, fieldSchema: fieldSchema, forceRender: true }),
                React.createElement(FormSubmit, null, t('general:submit'))))));
};
